[PHP]「php composer.phar install」コマンドでopensslが見つからないエラーが出るとき

カテゴリ: composer

PHPのパッケージ管理ツールであるComposerを利用する場合、最初のインスールでphp composer.phar installコマンドを実行します。
このコマンドを実行したとき、下記のエラーが出る場合があります。

> php composer.phar install

You must enable the openssl extension to download files via https

このような場合は、利用しているphp環境でopensslのモジュールが無効化されているため、php.iniを編集して有効化させてください。

opensslの有効化方法

php.iniをエディタで開きます。

ファイル内を検索すると、下記のコメントがあるので、先頭の;を取り除いてコメントを外します。

;extension=php_openssl.dll

extension=php_openssl.dll

再度、php composer.phar installコマンドを実行するとエラーが出ずに実行できます。

こちらもおススメ

コメントを残す

メールアドレスが公開されることはありません。